# PetscLogDump

Dumps logs of objects to a file. This file is intended to be read by petsc/bin/petscview.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscLogDump(const char sname[])

Collective on PETSC_COMM_WORLD

### Input Parameter

name -an optional file name

### Options Database Keys

| -log | - Prints basic log information (for code compiled with PETSC_USE_LOG)
| -log_all | - Prints extensive log information (for code compiled with PETSC_USE_LOG)

### Usage

         PetscInitialize(...);
         PetscLogBegin(); or PetscLogAllBegin();
         ... code ...
         PetscLogDump(filename);
         PetscFinalize();

### Notes

The default file name is

       Log.<rank>

where <rank> is the processor number. If no name is specified, this file will be used.

### Keywords

log, dump

### See Also

PetscLogBegin(), PetscLogAllBegin(), PetscLogPrintSummary()

Level:advanced
Location: src/sys/plog/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages